Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.parser
Interface Node

All Known Implementing Classes:
  SimpleNode

public interface Node

All AST nodes must implement this interface. It provides basic machinery for constructing the parent and child relationships between nodes.

Method Summary
`Object` | `jjtAccept(ParserVisitor visitor, Object data)` Accept the visitor.
`void` | `jjtAddChild(Node n, int i)` This method tells the node to add its argument to the node's list of children.
`void` | `jjtClose()` This method is called after all the child nodes have been added.
`Node` | `jjtGetChild(int i)` This method returns a child node.
`int` | `jjtGetNumChildren()` Gets the number of children the node has.
`Node` | `jjtGetParent()` Gets the parent node.
`void` | `jjtOpen()` This method is called after the node has been made the current node.
`void` | `jjtSetParent(Node n)` This pair of methods are used to inform the node of its parent.

Method Detail

### jjtOpen

    public void jjtOpen()

  This method is called after the node has been made the current node. It indicates that child nodes can now be added to it.

### jjtClose

    public void jjtClose()

  This method is called after all the child nodes have been added.

### jjtSetParent

    public void jjtSetParent(Node n)

  This pair of methods are used to inform the node of its parent.
  Parameters:
    `n` - the parent node.

### jjtGetParent

    public Node jjtGetParent()

  Gets the parent node.
  Returns:
    the parent to this node.

### jjtAddChild

    public void jjtAddChild(Node n,
                            int i)

  This method tells the node to add its argument to the node's list of children.
  Parameters:
    `n` - the child node to add
    `i` - the index to add it at.

### jjtGetChild

    public Node jjtGetChild(int i)

  This method returns a child node. The children are numbered from zero, left to right.
  Parameters:
    `i` - the index of the child to get.
  Returns:
    the child at the given index.

### jjtGetNumChildren

    public int jjtGetNumChildren()

  Gets the number of children the node has.
  Returns:
    the number of children the node has.

### jjtAccept

    public Object jjtAccept(ParserVisitor visitor,
                            Object data)

  Accept the visitor.
  Parameters:
    `data` - arbitrary data.
    `visitor` - the visitor.
  Returns:
    the result of the visit.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 The Apache Software Foundation. All Rights Reserved.